Bug 132281

Summary: [patch] update graphics/gdal to 1.6.0
Product: Ports & Packages Reporter: Gleb Smirnoff <glebius>
Component: Individual Port(s)Assignee: Rong-En Fan <rafan>
Status: Closed FIXED    
Severity: Affects Only Me CC: sunpoet
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Gleb Smirnoff freebsd_committer 2009-03-03 12:20:02 UTC
	Non-maintainer port update from GDAL v1.5.0 to v1.6.0, latest release.

Fix: Patch attached. It removes one file from gdal/files, and adds gdalwarp.1
	to gdal/files. In this release manual page is temporarily absent, due to
	to process of doxygenizing GDALs documentation.
Comment 1 Edwin Groothuis freebsd_committer 2009-03-03 12:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glebius

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-03-03 12:20:16 UTC
Maintainer of graphics/gdal,

Please note that PR ports/132281 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132281

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-03-03 12:20:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Gleb Smirnoff freebsd_committer 2009-03-03 18:01:37 UTC
  This update also required a small modification to many ports
that depend on libgdal. Now the dependency is described as

LIB_DEPENDS+=           gdal.13:${PORTSDIR}/graphics/gdal

Probably this should be

LIB_DEPENDS+=           gdal.1[34]:${PORTSDIR}/graphics/gdal

?

-- 
Totus tuus, Glebius.
GLEBIUS-RIPN GLEB-RIPE
Comment 5 Rong-En Fan freebsd_committer 2009-03-07 08:21:12 UTC
Responsible Changed
From-To: glebius->rafan

I'll take it. glebius@ doesn't have ports bit.
Comment 6 dfilter service freebsd_committer 2009-03-17 15:09:18 UTC
rafan       2009-03-17 15:09:07 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gdal        Makefile distinfo pkg-plist 
    graphics/gdal/files  patch-ogr-GNUmakefile 
                         patch-swig-python-GNUmakefile 
  Added files:
    graphics/gdal/files  gdalwarp.1 
  Removed files:
    graphics/gdal/files  
                         patch-ogr-ogrsf_frmts-kml-ogr2kmlgeometry.cpp 
  Log:
  - Update to 1.6.0
  
  PR:             ports/132281
  Submitted by:   glebius@
  Approved by:    maintainer timeout (2 weeks)
  
  Revision  Changes    Path
  1.32      +4 -2      ports/graphics/gdal/Makefile
  1.11      +3 -3      ports/graphics/gdal/distinfo
  1.1       +105 -0    ports/graphics/gdal/files/gdalwarp.1 (new)
  1.2       +3 -3      ports/graphics/gdal/files/patch-ogr-GNUmakefile
  1.2       +0 -11     ports/graphics/gdal/files/patch-ogr-ogrsf_frmts-kml-ogr2kmlgeometry.cpp (dead)
  1.3       +9 -9      ports/graphics/gdal/files/patch-swig-python-GNUmakefile
  1.11      +14 -1     ports/graphics/gdal/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rong-En Fan freebsd_committer 2009-03-17 15:10:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!